Xcode на Macbook Pro 2012

xcode
macbook

#1

Доброго суток дня народ. Параметры моего мака заводские. Ничего не поменяли. вроде все нормально. Но когда дело доходит работы на Хкоде он сильно тормозит. Стоит ли его апргейдить для лучшей работы в хкоде?


#2

У меня такой же. Поставил SSD и 8 гб памяти и все летает😌


#3

тоже на таком. до SSD была боль, сейчас лучше, но хочется большего. стоит и SSD и HDD
07


#4

SSD в разы увеличит скорость загрузки и работы в целом. Но ваш процессор 3317u очень уж старый и маломощный - неплохо бы обновиться хотя бы на 6 поколение.


#5

это Вы мне?_________


#6

всем! Обновление никогда не бывает лишним! :slight_smile:


#7

это да, но пока на что хватает финансов


#8

Раз тут есть похожая тема, не стану создавать новую, вдруг получу ответ.
Суть вопроса:
На неделе купил себе старичка pro late 2011, как раз для того что бы мочь в свифт.
Давно пользуюсь айфоном, и я даже не думал что будут такие траблы, ибо там не было.
Система не дает мне установить xCode, говорит нужна Мохаве. Но я что то боюсь ставить на старичка мохаве.
Не подскажете, есть ли способ установить xCode, или другую среду для работы со свифтом на него без мохаве, или я зря потратил деньги?
p.s. Купил именно его потому что по соотношению цена/качество это идеальное вложение, я смогу и захочу ли остаться на свифте я не знал, не хотел тратить кучу денег на более новый мак (все что я нашей рядом из поддерживающих мохаве было как минимум в 2 раза дороже)


#9

Гайд как установить более поздние версии


#10

Установить сможешь старые версии Xcode, но у них не будет поддержки Swift 5 и возможно Swift 4.2, зависит от версии Xcode. Так что тебе придется кодить уже на не самой актуальной версии Swift’a.
Если начинать новый проект, то только на последней версии.
Для обучения подойдут и старые версии, но возможны некоторые расхождения с синтаксисом некоторых команд.


#11

Это кто вам сказал?

В Xcode 10.1 можно запустить swift 5

Или в Xcode 10.2 swift 5.1

Или даже в Xcode 10.1 swift 5.1


#12

В силу малого опыта и знаний всех плюшек Xcode, забыл про Toolchain.
В таком случае выход есть.
Только вот можно ли будет в таком случае деплоить в стор приложение на 5 свифте через Xcode 10.1?


#13

Похоже что нет, даже на девайс нельзя залить :frowning:

10.2 тоже ругается на кастомный тулчейн


#14

Тогда это сомнительный выход, либо недоработка от Apple.


#15

Скоре так: